Subject: RE: PMP> [delete ppmPrinterEnabled] Restructured Port MIB (18 Jul y 2005)

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 1 Aug 2005 08:29:02 +0200

Inline

> -----Original Message-----
> From: McDonald, Ira [mailto:[email-masked]]
> Sent: Sunday, July 31, 2005 19:42
> To: 'Wijnen, Bert (Bert)'; McDonald, Ira; [email-masked]';
> Bergman, Ron
> Cc: [email-masked]
> Subject: RE: PMP> [delete ppmPrinterEnabled] Restructured Port MIB (18
> Jul y 2005)
> 
> 
> Hi Bert,
> 
> You're right of course.  We haven't before wrestled with OID
> assignment by the PWG for MIBs.  In fact only the IEEE-ISTO PWG
> Secretary (currently Jerry Thrasher of Lexmark) has the authority
> to assign/approve the base MIB arc when the Candidate Standard
> is published.
> 
Good to hear

> In the future, we'll adopt the 'nnnn -- to be assigned by PWG'
> approach.  Of course, when we have a prototyping interop test,
> we'll have to choose _something_ for an experimental number
> (for documents still in working drafts stage).
> 
> What do the IETF chartered working groups do during development?
> Do they very use 'experimental' for this?
> 

Some WGs use experimental (but even in those cases I recommend to 
no reorder/change OID assignments; but of course we're not strict on
checking that; it is experimental after all). Some WGs agree on some
vendor subtree for the testing event only, so after the event it
goes back to nnnn up till approval.

Hope this helps,
Bert
> Cheers,
> - Ira